spring:
  application:
    name: pcp-srpring-boot-admin-server
  profiles:
    default: local
  config:
    import: "configserver:"
  cloud:
    config:
      uri: ${CONFIG_SERVER_URI:http://192.168.60.201:8888}
      fail-fast: ${CONFIG_SERVER_FAIL_FAST:true}
      profile: ${SPRING_CLOUD_CONFIG_PROFILE:${SPRING_PROFILES_ACTIVE:${spring.profiles.default}}}
      label: ${SPRING_CLOUD_CONFIG_LABEL:dev}
  boot:
    admin:
      client:
        enabled: false

server:
  port: ${SERVER_PORT:38889}

management:
  endpoints:
    web:
      exposure:
        include: health,info,env,metrics
  endpoint:
    health:
      show-details: always

logging:
  level:
    de.codecentric.boot.admin: INFO

---
spring:
  config:
    activate:
      on-profile: test
  cloud:
    config:
      enabled: false

server:
  port: 0
